<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>user data</title>
</head>

<body>
    <script>
        const user = createNewUser()
        console.log(user);
        console.log(user.getAge());
        console.log(user.getPassword());


        function createNewUser() {
            const newUser = {};
            newUser.firstName = prompt('enter user name');
            newUser.lastName = prompt('enter user last name');
            newUser.getLogin = function () {
                return this.firstName[0].toLowerCase() + this.lastName.toLowerCase();
            }
            newUser.birthday = prompt('enter user birthday in format dd.mm.yyyy');
            newUser.getAge = function () {
                const now = new Date();
                const year = this.birthday.slice(6);
                let month = this.birthday.slice(3, 5);
                month--;
                const day = this.birthday.slice(0, 2);
                let age = now.getFullYear() - year;
                if (month > now.getMonth() || (month === now.getMonth() && day > now.getDate())) {
                    age--;
                }
                return age;
            }
            newUser.getPassword = function () {
                return this.firstName[0].toUpperCase() + this.lastName.toLowerCase() + this.birthday.slice(6);
            }
            return newUser;
        }



    </script>
</body>

</html>